# coding: utf-8

"""
    DLCM-Solution

    DLCM application wrapping all modules, All-In-One  # noqa: E501

    The version of the OpenAPI document: 2.1.1
    Contact: eresearch-opensource@unige.ch
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

import unittest
import datetime

import dlcmapi_client
from dlcmapi_client.models.aip_checksum_check import AipChecksumCheck  # noqa: E501
from dlcmapi_client.rest import ApiException

class TestAipChecksumCheck(unittest.TestCase):
    """AipChecksumCheck unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional):
        """Test AipChecksumCheck
            include_option is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # model = dlcmapi_client.models.aip_checksum_check.AipChecksumCheck()  # noqa: E501
        if include_optional :
            return AipChecksumCheck(
                check_date = '0', 
                checking_succeed = True
            )
        else :
            return AipChecksumCheck(
        )

    def testAipChecksumCheck(self):
        """Test AipChecksumCheck"""
        inst_req_only = self.make_instance(include_optional=False)
        inst_req_and_optional = self.make_instance(include_optional=True)


if __name__ == '__main__':
    unittest.main()
